package server

import (
	"git.loafle.net/commons/server-go/socket/web"
	"git.loafle.net/overflow/member_gateway_rpc/servlet"
)

func New() *web.Server {
	rs := &servlet.RPCServlets{}
	sh := &ServerHandlers{}
	sh.RegisterServlet("/webapp", rs)

	s := &web.Server{
		ServerHandler: sh,
	}

	return s
}

